## BlobImage ![NPM version](https://img.shields.io/npm/v/blobimage.svg?style=flat) 

Load images as blob and store them in buffer of the bowser

### Installation
```bash
$ npm install blobimage
$ bower install blobimage
```

### Example
```html
<script type="type/javascript" src="/path/to/script/blobimage.js"></script>
```

### API

#### new BlobImage(url)
```js
var blobImage = new BlobImage('http://iwillwen.u.qiniudn.com/mindb.png');
// Or
var blobImage = BlobImage('http://iwillwen.u.qiniudn.com/mindb.png');
```

#### BlobImage.element
The `Image` element of the BlobImage.

```js
document.body.appendChild(blobImage.element);
```

#### BlobImage.toDataURL(callback)
Generate the data url(base64) of the BlobImage.

```js
blobImage.toDataURL(function(err, dataURL) {
  if (err) {
    return console.error(err);
  }

  console.log(dataURL);
});
```

#### BlobImage.release()
Release the BlobImage from the buffer.

```js
blobImage.release();
```

### Contributing
- Fork this repo
- Clone your repo
- Install dependencies
- Checkout a feature branch
- Feel free to add your features
- Make sure your features are fully tested
- Open a pull request, and enjoy <3

### MIT license
Copyright (c) 2015 iwillwen(willwengunn@gmail.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.